package me.hammerle.supersnuvi.tiles;

import me.hammerle.supersnuvi.entity.Entity;
import me.hammerle.supersnuvi.gamelogic.ILevel;
import me.hammerle.supersnuvi.util.Face;

public class HeadHitBlock extends BaseBoxTile
{
    public HeadHitBlock(float tMinX, float tMinY, float tMaxX, float tMaxY)
    {
        super(tMinX, tMinY, tMaxX, tMaxY);
    }

    @Override
    public void onEntityCollide(Entity ent, int x, int y, Face face, ILevel l)
    {
        if(face == Face.DOWN && ent.getMotionY() < 0)
        {
            l.callEvent("tile_hit", (sc) -> 
            {
                sc.setVar("tile_x", (double) x);
                sc.setVar("tile_y", (double) y);
                sc.setVar("entity", ent);
            }, (sc) -> 
            {
                
            });
        }
    }
}
